unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,  StdCtrls, DataQueryService1, WSSE, InvokeRegistry;

type
  TForm3 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.Button1Click(Sender: TObject);
var
  Service: DataQueryService1.DataQueryService;
  Params: DataQueryParams;
  Result: DataQueryResult;
  Hdr: Security;
  Headers: ISOAPHeaders;
begin
  Service := DataQueryService1.GetDataQueryService(False,
    'http://172.16.12.163:9080/UnityWebTier/services/DataQueryService', nil);
  Params := DataQueryParams.Create;


  Hdr := Security.Create;

  Hdr.MustUnderstand := False;
  Hdr.UsernameToken := UsernameToken.Create;
  Hdr.UsernameToken.Username := Username.Create;
  Hdr.UsernameToken.Username.Text := 'admin';
  Hdr.UsernameToken.Password := Password.Create;
  Hdr.UsernameToken.Password.Type_ :=
    'http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText';
  Hdr.UsernameToken.Password.Text := 'logo';

  // add required data to send to the web service
  Headers := Service as ISOAPHeaders;

  Headers.Send(Hdr);
  Result := Service.test(Params);

  if (Result <> nil) then
    ShowMessage('Done for test method.')
  else
    ShowMessage('Test method returned nil!');



  Params.firm := 1;
  Params.period := 1;
  Headers.Send(Hdr);
  Result := Service.first('MMQOItemBrowser', Params, 10, False);
  if (Result <> nil) then
    ShowMessage('Done for first method.')
  else
    ShowMessage('First method returned nil!');

    Hdr.Free;
    Params.Free;
end;

end.
